
class Axis{
 
  float x, y, z;  


  Axis(float _x,float _y,float _z){
    x=_x;
    y=_y;
    z=_z;
  }
  
  
  Axis(float _l){
    x=_l*20;
    y=_l*20;
    z=_l*20;
  }
  
  
  ///////////////////////////////////////////////////////////
  //display
  ///////////////////////////////////////////////////////////
  void display(){
    /* font */
    textFont(font14);
    strokeWeight(1);
    
    /* +x */
    stroke(255,255,125,200);
    line(0,0,0,x,0,0);
//    fill(255,255,125);
//    text("+x",screenX(x,0,0),screenY(x,0,0));
    
    /* -x */
//    stroke(255,255,125);
    line(0,0,0,-x,0,0);
//    fill(255,255,125);
//    text("-x",screenX(-x,0,0),screenY(-x,0,0));
    
    /* +y */
//    stroke(255,255,125);
    line(0,0,0,0,y,0);
//    fill(255,255,125);
//    text("+y",screenX(0,y,0),screenY(0,y,0));
    
    /* -y */
//    stroke(255,255,125);
    line(0,0,0,0,-y,0);
//    fill(255,255,125);
//    text("-y",screenX(0,-y,0),screenY(0,-y,0));
    
    /* +z */
//    stroke(255,255,125);
    line(0,0,0,0,0,z);
//    fill(255,255,125);
//    text("+z",screenX(0,0,z),screenY(0,0,z));
    
    /* -z */
//    stroke(255,255,125);
    line(0,0,0,0,0,-z);
//    fill(255,255,125);
//    text("-z",screenX(0,0,-z),screenY(0,0,-z));
    
  }
  
  
  ///////////////////////////////////////////////////////////
  //set
  ///////////////////////////////////////////////////////////
  void setX(float _x){ x=_x; }
  void setY(float _y){ y=_y; }
  void setZ(float _z){ z=_z; }
  
  
  ///////////////////////////////////////////////////////////
  //setXYZ
  ///////////////////////////////////////////////////////////
  void setXYZ(float _x,float _y,float _z){
    x=_x;
    y=_y;
    z=_z;
  }
  
}



class SelAxis{
  
  float x, y, z; 

  SelAxis(float _x,float _y,float _z){
    x=_x;
    y=_y;
    z=_z;
  }
  
 
  
  ///////////////////////////////////////////////////////////
  //display
  ///////////////////////////////////////////////////////////
  void display(){
    
    strokeWeight(1);    
    /* font */
    textFont(font14);
    
    int l = 20*blocks;

    /* +x */
    stroke(255,0,255,100);
    line(x,y,z,x+l,y,z);
    fill(255,0,255);
//    text("+x"+str(x),screenX(ll,y,z),screenY(ll,y,z));
    
    /* -x */
//    stroke(255,0,255);
    line(x,y,z,x-l,y,z);
//    fill(255,0,255);
//    text("-x"+str(-x),screenX(-ll,y,z),screenY(-ll,y,z));
    
    /* +y */
//    stroke(255,0,255);
    line(x,y,z,x,y+l,z);
//    fill(255,0,255);
//    text("+y"+str(y),screenX(x,ll,z),screenY(x,ll,z));
    
    /* -y */
//    stroke(255,0,255);
    line(x,y,z,x,y-l,z);
//    fill(255,0,255);
//    text("-y"+str(-y),screenX(x,-ll,z),screenY(x,-ll,z));
    
    /* +z */
//    stroke(255,0,255);
    line(x,y,z,x,y,z+l);
//    fill(255,0,255);
//    text("+z"+str(z),screenX(x,y,ll),screenY(x,y,ll));
    /* -z */
//    stroke(255,0,255);
    line(x,y,z,x,y,z-l);
//    fill(255,0,255);
//    text("-z"+str(-z),screenX(x,y,-ll),screenY(x,y,-ll));
    
    /*box*/
    fill(0,0,255,220);
    pushMatrix();
    translate(x,y,z);
    box(gridLength,gridLength,gridLength);
    popMatrix(); 
    
  }
  
  
  ///////////////////////////////////////////////////////////
  //set
  ///////////////////////////////////////////////////////////
  void setX(float _x){ x=_x; }
  void setY(float _y){ y=_y; }
  void setZ(float _z){ z=_z; }
  
  
  ///////////////////////////////////////////////////////////
  //setXYZ
  ///////////////////////////////////////////////////////////

    void setXYZ(float _x,float _y,float _z){
    x=_x;
    y=_y;
    z=_z;
  }
}
